#pragma once

extern "C"{
void debugprint(const char *fotmat,...);
void hung();
};

class placementdeleter {
public:
	placementdeleter(){
	}
	template <class T>
	void operator ()(T *p){
		p->~T();
	}
};

